<#include "/framework/html_head.ftl">
<#include "/framework/top_menu.ftl">
<#include "/macros/formcheckbox.ftl">
<#include "/macros/formsubmit.ftl">

<#include "/macros/formtable.ftl">

  <@tableHeader Heading="Edit group '${groupname}'" />

  <#if show_form?? >

  	<#assign entries_per_page = 10 />
    <#assign columns = 2 />
    <#assign entrylist = userlist /> 
    <#assign entry_prefix = "user" />
    <#include "/sub/pagination_js.ftl">
    
    <form action="pt.do" method="post" onsubmit="this.submit();">
      <@printRequiredParams method="post" />
      <input type="hidden" name="action" value="editgroup">
      <input type="hidden" name="save" value="1">
      <input type="hidden" name="groupname" value="${groupname}">
      
      <table cellspacing="0" cellpadding="0" style="border: 0px; width: 500px;">
      
      <#if message??>
      <tr>
	    <td class="pad1" colspan="2">${message}</td>
	  </tr>
	  </#if>
          
      <tr>
	    <td class="sectionheader" colspan="2">Group Details</td>
      </tr>
      <tr><td colspan="2"><hr size="1" class="hr1"/></td></tr>
      <tr>
	    <td class="pad1">Permission Set</td>
	    <td class="pad1"><@formgfxselect objid="permissionset" itemlist=available_permissionsets preselect=permissionset helpid="group_permissionset" /></td>
	  </tr>
      <tr>
	    <td class="pad1">Property Set</td>
	    <td class="pad1"><@formgfxselect objid="propertyset" itemlist=available_propertysets preselect=propertyset helpid="group_propertyset" /></td>
	  </tr>
      
      <tr>
	    <td class="sectionheader">Members</td>
	    <td class="sectionheader" style="text-align: right;">Page <span id="pagenumber">1</span> of ${last_page}</td>
	  </tr>
	  <tr><td colspan="2"><hr size="1" class="hr1"/></td></tr>
      <tr>
        <td class="pad1" id="leftcolumn">
        
	     <#assign i = 0>
	     <#list userlist?keys?sort as username>
	      <#assign i = i + 1 />
	      <#assign modulo = i % entries_per_page /> 
	      <#if modulo != 0 && modulo <=5 >
	       <div id="user${i}" style="clear: both; <#if (i > entries_per_page)>display: none;</#if>">
	        <div style="height: 26px; float: left;">
	         <#if i==1>
              <@formcheckbox objid="user_${username}" preselect=userlist[username]?string helpid="groups_toggle_user_assignment" />
             <#else> 
              <@formcheckbox objid="user_${username}" preselect=userlist[username]?string />
             </#if>
	        </div>
	        <div style="height: 26px; float: left; padding-left: 10px;"><span style="line-height: 26px">${username}</span></div>
           </div>
          </#if>
         </#list>
         <#-- fill last page with empty rows -->
	     <#list (i+1)..total_rows as row>
	      <#assign modulo = row % entries_per_page /> 
	      <#if modulo != 0 && modulo <=5 >
	      <div id="user${row}" style="clear: both; <#if (i > entries_per_page)>display: none;</#if>">
	       <div style="height: 26px; float: left;"><span style="line-height: 26px">&nbsp;</span></div>
	       <div style="height: 26px; float: left;"><span style="line-height: 26px">&nbsp;</span></div>
	      </div>
	      </#if>
	     </#list>
	     
       </td>
       <td class="pad1" id="rightcolumn">
        
	     <#assign i = 0>
	     <#list userlist?keys?sort as username>
	      <#assign i = i + 1 />
	      <#assign modulo = i % entries_per_page /> 
	      <#if modulo == 0 || (modulo > 5) >
	       <div id="user${i}" style="clear: both; <#if (i > entries_per_page)>display: none;</#if>">
	        <div style="height: 26px; float: left;">
	         <#if i==1>
              <@formcheckbox objid="user_${username}" preselect=userlist[username]?string helpid="groups_toggle_user_assignment" />
             <#else> 
              <@formcheckbox objid="user_${username}" preselect=userlist[username]?string />
             </#if>
	        </div>
	        <div style="height: 26px; float: left; padding-left: 10px;"><span style="line-height: 26px">${username}</span></div>
           </div>
          </#if>
         </#list>
         <#-- fill last page with empty rows -->
	     <#list (i+1)..total_rows as row>
	      <#assign modulo = row % entries_per_page /> 
	      <#if modulo == 0 || (modulo > 5) >
	      <div id="user${row}" style="clear: both; <#if (i > entries_per_page)>display: none;</#if>">
	       <div style="height: 26px; float: left;"><span style="line-height: 26px">&nbsp;</span></div>
	       <div style="height: 26px; float: left;"><span style="line-height: 26px">&nbsp;</span></div>
	      </div>
	      </#if>
	     </#list>        
       </td>
      </tr>
      <tr>
        <td class="pad1" style="text-align: center; padding-bottom: 5px;" colspan="2">
          <#include "/sub/pagination_buttons.ftl">
        </td>
      </tr>
      <tr><td colspan="2"><hr size="1" class="hr1"/></td></tr>
      <tr>
        <td class="pad1" style="padding-top: 30px;" colspan="2" align="right">
          <span class=btnwhite onmouseover="spanhover(this);" onmousedown="spandown(this);" onmouseup="spanup(this);" onmouseout="spanup(this);" onclick="history.back();">Cancel</span>
          <@formsubmit value="Save Changes" helpid="groups_save" />	
        </td>
      </tr>
     </table>
    </form>
    <#include "/sub/pagination_init.ftl">
    
  <#elseif show_confirmation?? >
    
    Changes to the group saved. Please wait for the changes to take effect.<br /><br />
    
    <#assign timeout="5" />
    <#assign postprogresslocation="action=listgroups">
    <#include "/sub/progressbar.ftl">
    
  </#if>
<@tableFooter/>
<#include "/framework/end_box.ftl">
<#include "/framework/modal_dialogs.ftl">
<#include "/framework/html_footer.ftl">